Bug 747848 (CVE-2011-3637) - CVE-2011-3637 kernel: proc: fix oops on invalid /proc/<pid>/maps access
Summary: CVE-2011-3637 kernel: proc: fix oops on invalid /proc/<pid>/maps access
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-3637
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 746613 747699 747850 747851 748685 751616 761370
Blocks: 747835
TreeView+ depends on / blocked
 
Reported: 2011-10-21 06:33 UTC by Eugene Teo (Security Response)
Modified: 2019-09-29 12:48 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-05-04 09:02:14 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0007 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2012-01-11 01:02:46 UTC
Red Hat Product Errata RHSA-2012:0010 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2012-01-11 01:14:23 UTC
Red Hat Product Errata RHSA-2012:0116 normal SHIPPED_LIVE Moderate: kernel security and bug fix update 2012-02-15 05:42:54 UTC

Description Eugene Teo (Security Response) 2011-10-21 06:33:19 UTC
When m_start returns an error, the seq_file logic will still call m_stop
with that error entry, so we'd better make sure that we check it before
using it as a vma.

Introduced by commit ec6fd8a4355c ("report errors in /proc/*/*map*
sanely"), which replaced NULL with various ERR_PTR() cases.

(On ia64, you happen to get a unaligned fault instead of a page fault,
since the address used is generally some random error code like -EPERM)

Upstream commit:
http://git.kernel.org/linus/76597cd31470fa130784c78fadb4dab2e624a723

Comment 2 Eugene Teo (Security Response) 2011-10-21 06:53:52 UTC
Statement:

This issue did not affect the version of the Linux kernel as shipped with Red Hat Enterprise Linux 4, and 6 as it did not backport the upstream commit ec6fd8a4 that introduced this issue. This has been addressed in Red Hat Enterprise Linux 5 and Red Hat Enterprise MRG via https://rhn.redhat.com/errata/RHSA-2012-0007.html and https://rhn.redhat.com/errata/RHSA-2012-0010.html.

Comment 4 Eugene Teo (Security Response) 2011-10-25 03:55:29 UTC
Created kernel tracking bugs for this issue

Affects: fedora-all [bug 748685]

Comment 7 errata-xmlrpc 2012-01-10 20:08:41 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2012:0007 https://rhn.redhat.com/errata/RHSA-2012-0007.html

Comment 8 errata-xmlrpc 2012-01-10 20:16:40 UTC
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2012:0010 https://rhn.redhat.com/errata/RHSA-2012-0010.html

Comment 9 errata-xmlrpc 2012-02-15 00:43:47 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6.1 EUS - Server Only

Via RHSA-2012:0116 https://rhn.redhat.com/errata/RHSA-2012-0116.html


Note You need to log in before you can comment on or make changes to this bug.